ncurses vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the ncurses package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • M
Out-of-bounds Read
* Not available 15 Oct, 2019
  • M
Out-of-bounds Read
* Not available 15 Oct, 2019
  • M
NULL Pointer Dereference
<5.9+20140913-1+deb8u1 Not available 12 Nov, 2018
  • M
NULL Pointer Dereference
* Not available 12 Nov, 2018
  • H
CVE-2018-10754
* Not available 05 May, 2018
  • H
Out-of-bounds Write
<5.9+20140913-1+deb8u3 Not available 22 Nov, 2017
  • M
Out-of-Bounds
<5.9+20140913-1+deb8u1 Not available 29 Aug, 2017
  • M
Out-of-Bounds
<5.9+20140913-1+deb8u1 Not available 29 Aug, 2017
  • M
Out-of-Bounds
<5.9+20140913-1+deb8u1 Not available 29 Aug, 2017
  • M
Out-of-Bounds
<5.9+20140913-1+deb8u1 Not available 29 Aug, 2017
  • M
Out-of-Bounds
<5.9+20140913-1+deb8u1 Not available 29 Aug, 2017
  • M
Out-of-Bounds
<5.9+20140913-1+deb8u1 Not available 29 Aug, 2017
  • H
Loop with Unreachable Exit Condition ('Infinite Loop')
<5.9+20140913-1+deb8u1 Not available 29 Aug, 2017
  • H
NULL Pointer Dereference
<5.9+20140913-1+deb8u1 Not available 08 Jul, 2017
  • H
Improper Input Validation
<5.9+20140913-1+deb8u1 Not available 08 Jul, 2017
  • H
Use of Externally-Controlled Format String
<5.9+20140913-1+deb8u1 Not available 29 Jun, 2017
  • H
Out-of-Bounds
<5.9+20140913-1+deb8u1 Not available 29 Jun, 2017